Package: org.gradle.platform.base

## [Java] Class InvalidModelException

- org.gradle.platform.base.InvalidModelException

- Thrown when a component model is declared in an invalid way.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidModelException (String message)`
    `InvalidModelException (String message, Exception cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public InvalidModelException(String message)

    - #### public InvalidModelException(String message, Exception cause)